#ifndef PYTHON_CONFIG_H
#define PYTHON_CONFIG_H


#include <Python.h>
#include <glib.h>

typedef enum {
     END_CONFIG,
     PAGE_SEP,
	DICT_LIST,
	DICT_PATH_LIST,
	DICT_INT,
	DICT_INT_BOUND,
	DICT_DOUBLE,
	DICT_DOUBLE_BOUND,
} config_id;


typedef struct _sg_config_info{
	config_id type;
	gint num;
        gpointer data_in;
        gpointer data_out;
        gchar *name;
} sg_config_info;

void python_config_dialog(GtkWidget *widget, gpointer data);
void sg_create_config_dialog(sg_config_info *var_info,
     gpointer apply_callback,gpointer ok_callback);


#endif